/////////////////////////////////////////////////////////////////////
// BARROWEX.S
/////////////////////////////////////////////////////////////////////

SETUP

    IF  !gd_PLACED_BX_MONSTERS

        PlaceC                  BX_REV_SOLDIER_1            pBX_SOLDIER_1A
        AddControl              BX_REV_SOLDIER_1            MoveCDir        pBX_SOLDIER_1B
        AddControl              BX_REV_SOLDIER_1            MoveCDir        pBX_SOLDIER_1A
        SequenceLoops           BX_REV_SOLDIER_1
        SwitchOnSightOfPlayer   BX_REV_SOLDIER_1        AttackDemo2

        SWITCH RAND-4
            CASE 0
                PlaceC      BX_REV_SOLDIER_2            pBX_SOLDIER_2A
            CASE 1
                PlaceC      BX_REV_SOLDIER_2            pBX_SOLDIER_2B
            CASE 2
                PlaceC      BX_REV_SOLDIER_2            pBX_SOLDIER_2C
            CASE 3
                PlaceC      BX_REV_SOLDIER_2            pBX_SOLDIER_2D
        ENDSWITCH
        RestrictedWanderButAttackOnSight  BX_REV_SOLDIER_2

        SWITCH RAND-4
            CASE 0
                PlaceC      BX_REV_SOLDIER_3            pBX_SOLDIER_3A
            CASE 1
                PlaceC      BX_REV_SOLDIER_3            pBX_SOLDIER_3B
            CASE 2
                PlaceC      BX_REV_SOLDIER_3            pBX_SOLDIER_3C
            CASE 3
                PlaceC      BX_REV_SOLDIER_3            pBX_SOLDIER_3D
        ENDSWITCH
        RestrictedWanderButAttackOnSight  BX_REV_SOLDIER_3

        PlaceC                  BX_REV_SOLDIER_4            pBX_SOLDIER_4A
        AddControl              BX_REV_SOLDIER_4            MoveCDir        pBX_SOLDIER_4B
        AddControl              BX_REV_SOLDIER_4            MoveCDir        pBX_SOLDIER_4A
        SequenceLoops           BX_REV_SOLDIER_4
        SwitchOnSightOfPlayer   BX_REV_SOLDIER_4        AttackDemo2

        Add gd_PLACED_BX_MONSTERS
    ENDIF

	IF !gg_BARROWEX_MUSIC
		Add gg_BARROWEX_MUSIC
		PlayMusic rpg25.wav
	ENDIF

	RemoveC TALOS
END

VIG TempSetup FALSE

	Set	gd_WEATHER_TYPE	0
	Set gd_WIND_TYPE	1
    RunS CueWeather

END

/////////////////////////////////////////////////////////////////////
